use users::{get_user_by_uid, get_current_uid};
use termion::color;
use std::env;

pub fn build_prompt(curr_number: &i32) -> String {

    let user = String::from(
        get_user_by_uid(get_current_uid())
        .unwrap()
        .name()
        .to_str()
        .unwrap()
        );

    let host = String::from(
        gethostname::gethostname()
        .to_str()
        .unwrap()
        );

    let current_dir = String::from(
        env::current_dir()
        .unwrap()
        .to_str()
        .unwrap()
        );

    let s = current_dir.split('/');
    let dir_last = String::from(
        s.last()
        .unwrap()
        );

    let prompt = String::from(format!("{}{}{}[{}@{} in {}]{} ",
                                      color::Fg(color::LightBlack),
                                      curr_number,
                                      color::Fg(color::LightCyan), 
                                      user, host, dir_last, 
                                      color::Fg(color::Reset)));
    return prompt;
}

